* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
.logo-mario {
    height: 200px;
    
}

button {
    color: white;
    background-color: #c51111;
    border-radius: 3px;
    height: 50px;
    border: none;
    width: 300px;
    cursor: pointer;
    text-transform: uppercase;
    font-weight: bold;
    margin-top: 20px;
    
}
/*
margin-left: 180px; => botao
margin-left: 150px; => logo mario
*/

.imagem-mario-luigi {
    height: 500px;
}
body{    
    height: 100vh;
}
.caixa-principal{
    width: 50%;
}
.caixa-video{
    position: fixed;
    top: 0;
    z-index: -1;
}

video {
    min-height: 100%;
    min-width: 100%;
    top: 0;
    position: fixed;
}

.mascara {
    height: 100vh;
    width: 100vw;
    background: linear-gradient(109deg, rgba(10, 12, 16, 0.99) 15%, rgba(10, 12, 16, 0.7) 50%, rgba(10, 12, 16, 0.99) 85%);
    position: fixed;
    top: 0;
}

.caixa-mae {
    display:flex;
    align-items: center;
    justify-content:space-around;
    padding: 100px;
    height: 100vh;
}

p {
    color: white;
    display: flex;
}

.Encanadores {
    margin-left: 0px;
}

.link-whatsapp img {
    height: 60px;
    position: fixed;
    right: 20px;
    bottom: 20px;
}
.header {
    display: flex;
    align-items: center;
    gap: 30px;
    margin: 30px;
}

.header img {
    height: 60px;

}

.header a {
    color: white;
    font-size: 24px;
    cursor: pointer;
    text-decoration: none;
}

.header a:hover {
    color: #c51111;
    font-size: 26px;
    transition: 0.5s ease-in-out;
}
button:hover {
    opacity: 40%;
    transition: 0.5s ease-in-out;
}

.formulario {
    background-color: white;
    display: flex;
    gap: 20px;
    flex-direction: column;
    position: fixed;
    top: 50px;
    left: 50px;
    padding: 20px;
    border-radius: 5px;
    top: 30%;
    left: -325px;
    transition: left 1s ease-in-out;
}

.botao-pedir-orçamento {
    margin-top: 20px;
    margin-left: 1px;   
}

input {
    height: 40px;
    border-radius: 5px;
    border: 1px solid gray;
    padding-left: 5px;
    outline-color: #18D180; 
}

textarea {
    width: 300px;
    height: 100px;
    border-radius: 5px;
    border: 1px solid gray;
    padding-left: 5px;
    outline-color: #18D180;  
}

.mascara-formulario {
    visibility: hidden;
    position: fixed;
    top: 0;
    width: 100vw;
    height: 100vh;
    background: linear-gradient(109deg, rgba(10, 12, 16, 0.99) 15%, rgba(10, 12, 16, 0.7) 50%, rgba(10, 12, 16, 0.99) 85%);;
    transition: visibility 1s ease-in-out;
}

/*
Media query 
max -> valor menor que X pixels, aplica no css no MEDIA
min -> valor maior que X pixels, aplica no css no MEDIA
*/

@media(max-width: 1100px) {
    p {
        display: none;
    }
    .caixa-mae {
        display: flex;
        flex-direction: flex-start;
        padding: 10px;
        flex-direction: column;
        
    }
    .caixa-principal {
        display: flex;
        align-items: center;
        flex-direction: column;
        margin: 15px;
        margin-left: 0px;
    }
    

    .imagem-mario-luigi {
        width: 80vw;
        height: auto;
        display: flex;
        align-items: center;
    }
    .header {
        margin: 15px;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .header img {
        display: none;
    }
    .header a {
        font-size: 20px;
    }
    .botao-entre-em-contato {
        margin-left: 0px;
    }
}
/* 
    INNICIAL 
    top: 30%;
    left: -300px;

    FINAL
    TOP:30%
    LEFT:50%
    TRANSFORM: TRANSLATEX(-50%);
*/